import { Model } from '../../scripts/load-database'

export class User extends Model {
  static get tableName () {
    return 'users'
  }
}

export class External extends Model {
  static get tableName () {
    return 'external'
  }
}

export class Token extends Model {
  static get tableName () {
    return 'simple_token'
  }
}

export class OAuth2Client extends Model {
  static get tableName () {
    return 'oauth2_client'
  }
}

export class OAuth2AuthorizedClient extends Model {
  static get tableName () {
    return 'oauth2_client_authorization'
  }
}

export class OAuth2Code extends Model {
  static get tableName () {
    return 'oauth2_code'
  }
}

export class OAuth2AccessToken extends Model {
  static get tableName () {
    return 'oauth2_access_token'
  }
}

export class OAuth2RefreshToken extends Model {
  static get tableName () {
    return 'oauth2_refresh_token'
  }
}

export class TotpToken extends Model {
  static get tableName () {
    return 'totp_token'
  }
}

export class Ban extends Model {
  static get tableName () {
    return 'network_ban'
  }
}

export class News extends Model {
  static get tableName () {
    return 'news'
  }
}

export class Donation extends Model {
  static get tableName () {
    return 'donation'
  }
}

export class Subscription extends Model {
  static get tableName () {
    return 'subscription'
  }
}

export class MinecraftMember extends Model {
  static get tableName () {
    return 'mc_member'
  }
}

export class MinecraftToken extends Model {
  static get tableName () {
    return 'mc_verify'
  }
}
